POS365.VN APIs

<back to all web services

LedgerCreateInventoryCostSnapshot

The following routes are available for this service:
POST/api/ledger/inventorycosts
InventoryCostSnapshotBase Parameters:
NameParameterData TypeRequiredDescription
PeriodTypeformPeriodTypeNoLoại kỳ kế toán (1: Monthly, 2: Quarterly, 3: Yearly). Măc định là Monthly
PeriodYearformintYesNăm kế toán (VD: 2026)
PeriodValueformintYesGiá trị kỳ (Tháng: 1–12, Quý: 1–4)
BranchIdformintNoId chi nhánh
PeriodType Enum:
NameValue
Monthly1enum_Monthly
Quarterly2enum_Quarterly
Yearly3enum_Yearly

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /api/ledger/inventorycosts HTTP/1.1 
Host: api.pos365.vn 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	PeriodType: 1,
	PeriodYear: 0,
	PeriodValue: 0,
	BranchId: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	
}